'\" t
.\"     Title: SPI_unregister_relation
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "SPI_UNREGISTER_RELATION" "3" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
SPI_unregister_relation \- remove an ephemeral named relation from the registry
.SH "SYNOPSIS"
.sp
.nf
int SPI_unregister_relation(const char * \fIname\fR)
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_unregister_relation\fR
removes an ephemeral named relation from the registry for the current connection\&.
.SH "ARGUMENTS"
.PP
const char * \fIname\fR
.RS 4
the relation registry entry name
.RE
.SH "RETURN VALUE"
.PP
If the execution of the command was successful then the following (nonnegative) value will be returned:
.PP
SPI_OK_REL_UNREGISTER
.RS 4
if the tuplestore has been successfully removed from the registry
.RE
.PP
On error, one of the following negative values is returned:
.PP
SPI_ERROR_ARGUMENT
.RS 4
if
\fIname\fR
is
NULL
.RE
.PP
SPI_ERROR_UNCONNECTED
.RS 4
if called from an unconnected C function
.RE
.PP
SPI_ERROR_REL_NOT_FOUND
.RS 4
if
\fIname\fR
is not found in the registry for the current connection
.RE
